# Start

- [Introduction](./intro/index.md)
  - [Installation](./intro/install.md)
  - [Configuration](./intro/configuration.md)
- [Get Started](./start/index.md)
  - [Xvc for Everyone](./start/everyone.md)
  - [Xvc for Data Versioning](./start/data.md)
  - [Xvc for Machine Learning](./start/ml.md)
  - [Xvc for Software Development](./start/development.md)
  - [Xvc for DVC Users](./start/from-dvc.md)
  - [Xvc for Git Annex Users](./start/from-git-annex.md)
  - [Xvc for Git LFS Users](./start/from-git-lfs.md)

- [User's Guide](./how-to/index.md)
    - [How to Compile Xvc](./how-to/compile.md)
    - [Xvc with Git Branches](./how-to/git-branches.md)

- [Command Reference](./ref/xvc.md)
    - [xvc init](./ref/xvc-init.md)
    - [File Management (xvc file)](./ref/xvc-file.md)
      - [xvc file track](./ref/xvc-file-track.md)
      - [xvc file list](./ref/xvc-file-list.md)
      - [xvc file hash](./ref/xvc-file-hash.md)
      - [xvc file checkout](./ref/xvc-file-checkout.md)
      - [xvc file recheck](./ref/xvc-file-recheck.md)
      - [xvc file carry-in](./ref/xvc-file-carry-in.md)
      - [xvc file send](./ref/xvc-file-send.md)
      - [xvc file bring](./ref/xvc-file-bring.md)
      - [xvc file move](./ref/xvc-file-move.md)
      - [xvc file copy](./ref/xvc-file-copy.md)
    - [Data-Model Pipelines (xvc pipeline)](./ref/xvc-pipeline.md)
      - [xvc pipeline new](./ref/xvc-pipeline-new.md)
      - [xvc pipeline list](./ref/xvc-pipeline-list.md)
      - [xvc pipeline step](./ref/xvc-pipeline-step.md)
        - [new](./ref/xvc-pipeline-step-new.md)
        - [dependency](./ref/xvc-pipeline-step-dependency.md)
        - [output](./ref/xvc-pipeline-step-output.md)
        - [show](./ref/xvc-pipeline-step-show.md)
        - [update](./ref/xvc-pipeline-step-update.md)
      - [xvc pipeline run](./ref/xvc-pipeline-run.md)
      - [xvc pipeline delete](./ref/xvc-pipeline-delete.md)
      - [xvc pipeline export](./ref/xvc-pipeline-export.md)
      - [xvc pipeline import](./ref/xvc-pipeline-import.md)
      - [xvc pipeline update](./ref/xvc-pipeline-update.md)
      - [xvc pipeline dag](./ref/xvc-pipeline-dag.md)
    - [(Remote) Storages (`xvc storage`)](./ref/xvc-storage.md)
      - [xvc storage list](./ref/xvc-storage-list.md)
      - [xvc storage remove](./ref/xvc-storage-remove.md)
      - [xvc storage new](./ref/xvc-storage-new.md)
        - [local](./ref/xvc-storage-new-local.md)
        - [generic](./ref/xvc-storage-new-generic.md)
        - [s3](./ref/xvc-storage-new-s3.md)
        - [gcs](./ref/xvc-storage-new-gcs.md)
        - [minio](./ref/xvc-storage-new-minio.md)
        - [r2](./ref/xvc-storage-new-r2.md)
        - [wasabi](./ref/xvc-storage-new-wasabi.md)
        - [digital-ocean](./ref/xvc-storage-new-digital-ocean.md)
    - [Utilities](./ref/utilities.md)
      - [xvc root](./ref/xvc-root.md)
      - [xvc check-ignore](./ref/xvc-check-ignore.md)
      - [xvc aliases](./ref/xvc-aliases.md)
      - [xvc deinit](./ref/xvc-deinit.md)

- [Rust API](./api/index.md)
    - [`xvc`](./api/xvc.md)
    - [`xvc-config`](./api/xvc-config.md)
    - [`xvc-core`](./api/xvc-core.md)
    - [`xvc-ecs`](./api/xvc-ecs.md)
    - [`xvc-file`](./api/xvc-file.md)
    - [`xvc-logging`](./api/xvc-logging.md)
    - [`xvc-pipeline`](./api/xvc-pipeline.md)
    - [`xvc-storage`](./api/xvc-storage.md)
    - [`xvc-walker`](./api/xvc-walker.md)

- [Architecture](./arch/index.md)
    - [Goals](./arch/goals.md)
    - [Cache](./arch/cache.md)
    - [Xvc ECS](./arch/ecs.md)
    - [Comparisons](./arch/delta.md)
    - [Storages](./arch/storages.md)
    - [Git and Xvc](./arch/git-and-xvc.md)
    - [Concepts](./concepts/index.md)
      - [Digest](./concepts/digest.md)
      - [Associated Digest](./concepts/associated-digest.md)

- [Development](./development/index.md)
    - [Conventions](./development/conventions.md)
